Bug 1262213 - Problem with storing values of kie navigator repository
Problem with storing values of kie navigator repository
Status: ASSIGNED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Shelly McGowan
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 03:47 EDT by Tomas David
Modified: 2016-09-20 01:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas David 2015-09-11 03:47:57 EDT
Description of problem:
When new repository is created, User Name and Description are not stored in Kie Navigator repository property dialog.

Version-Release number of selected component (if applicable):
Drools 6.3.0.CR2

How reproducible:
-

Steps to Reproduce:
1. Open Kie Navigator.
2. Create some repository with some User Name and Description.
3. Open properties of the new created repository.

Actual results:
User Name and Description are both set to null.

Expected results:
User Name and Description should contain some values.

Additional info:
-
Comment 1 Robert (Bob) Brodt 2015-12-07 12:28:34 EST
This appears to be an issue on the server side. These values ARE sent to the server on create and update REST calls, but are always returned as "null".

Can someone on server REST API take a look at this?
Comment 2 Robert (Bob) Brodt 2016-02-08 13:16:54 EST
Edson, can you take a look at this or assign to someone who is more familiar with the REST API?

Note You need to log in before you can comment on or make changes to this bug.